Bug 26407 - fix query in 'title exists' in `search_for_data_inconsistencies.pl`
Summary: fix query in 'title exists' in `search_for_data_inconsistencies.pl`
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 23871
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-08 14:52 UTC by Fridolin Somers
Modified: 2020-10-19 22:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26407: fix query in 'title exists' in `search_for_data_inconsistencies.pl` (1.52 KB, patch)
2020-09-08 14:57 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26407: fix query in 'title exists' in `search_for_data_inconsistencies.pl` (1.57 KB, patch)
2020-09-08 18:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 26407: fix query in 'title exists' in `search_for_data_inconsistencies.pl` (1.62 KB, patch)
2020-09-11 13:26 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-09-08 14:52:34 UTC
Bug 23871 added check for 'title exists' to `search_for_data_inconsistencies.pl`.
There is a typo in DBIx query to create or : hashref instead of arrayref.
Comment 1 Fridolin Somers 2020-09-08 14:57:30 UTC
Created attachment 109754 [details] [review]
Bug 26407: fix query in 'title exists' in `search_for_data_inconsistencies.pl`

Bug 23871 added check for 'title exists' to `search_for_data_inconsistencies.pl`.
There is a typo in DBIx query to create or : hashref instead of arrayref.

Test plan :
1) Change title of biblio record XXX in SQL :
   UPDATE biblio SET title = '' WHERE biblionumber=XXX
2) Change title of biblio record YYY in SQL :
   UPDATE biblio SET title = NULL WHERE biblionumber=YYY
3) Run misc/maintenance/search_for_data_inconsistencies.pl
4) Check you see both records
Comment 2 David Nind 2020-09-08 18:50:57 UTC
Created attachment 109763 [details] [review]
Bug 26407: fix query in 'title exists' in `search_for_data_inconsistencies.pl`

Bug 23871 added check for 'title exists' to `search_for_data_inconsistencies.pl`.
There is a typo in DBIx query to create or : hashref instead of arrayref.

Test plan :
1) Change title of biblio record XXX in SQL :
   UPDATE biblio SET title = '' WHERE biblionumber=XXX
2) Change title of biblio record YYY in SQL :
   UPDATE biblio SET title = NULL WHERE biblionumber=YYY
3) Run misc/maintenance/search_for_data_inconsistencies.pl
4) Check you see both records

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2020-09-11 13:26:49 UTC
Created attachment 109942 [details] [review]
Bug 26407: fix query in 'title exists' in `search_for_data_inconsistencies.pl`

Bug 23871 added check for 'title exists' to `search_for_data_inconsistencies.pl`.
There is a typo in DBIx query to create or : hashref instead of arrayref.

Test plan :
1) Change title of biblio record XXX in SQL :
   UPDATE biblio SET title = '' WHERE biblionumber=XXX
2) Change title of biblio record YYY in SQL :
   UPDATE biblio SET title = NULL WHERE biblionumber=YYY
3) Run misc/maintenance/search_for_data_inconsistencies.pl
4) Check you see both records

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-09-18 09:54:09 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-15 21:43:39 UTC
backported to 20.05.x for 20.05.05
Comment 6 Aleisha Amohia 2020-10-19 22:59:35 UTC
missing dependencies, not backported to 19.11.x